{% extends 'base.html.twig' %}

{% block body %}
    {% block title %}
            Modification du film {{ film.id }}
    {% endblock %}
    <form class="form-horizontal" action="{{ path('film_edit', {'id':film.id}) }}"
          method="post">
        {{ form_errors(form) }}
        {{ form_row(form.titre) }}
        {{ form_row(form.annee) }}
        {{ form_row(form.resume) }}
        {{ form_row(form.idgenre) }}
        {{ form_row(form.idrealisateur) }}
        {{ form_rest(form) }}
        <input type="submit" id="submit" name="submit" class="btn btn-default" value="Valider"
        />
    </form>
    <br>
    <h3>Liste des artistes</h3>
    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <th>Nom</th>
        <th>Prenom</th>
        <th>Annee de naissance</th>
        <th>Rôle</th>
        </thead>
        <tbody>
        {% for role in roles %}
            <tr>
                <td>{{ role.idacteur.nom }}</td>
                <td>{{ role.idacteur.prenom }}</td>
                <td>{{ role.idacteur.anneenaissance }}</td>
                <td>{{ role.role }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">Aucun artiste ne participe à ce film</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <br>
    <h3>Notations</h3>
    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <th>Mail</th>
        <th>Note</th>
        </thead>
        <tbody>
        {% for note in notes %}
            <tr>
                <td>{{ note.email.email }}</td>
                <td>{{ note.note }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}